Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I just tried coping & pasting code from How to draw Venn diagrams (especially: complements) in LaTeX

and I get errors ... I suppose I need to install/configure Lyx to use PGF/Tikz?

share|improve this question
1  
You need to add \usepackage{tikz} to your preamble (I think you can do this by selecting LaTeX preamble from the Layout menu). –  Jake Aug 28 '11 at 12:42
    
I think you should change the Editor. I think in cases like this LyX reaches his capability –  Marco Daniel Aug 28 '11 at 13:25
    
@Jake, I added \usepackage{tikz} under Document > Settings > LaTeX preamble I still got the same error. –  Jiew Meng Aug 28 '11 at 13:46
    
@Marco, what editors do you recommend? –  Jiew Meng Aug 28 '11 at 13:46
    
@Jake, thanks you got me on the right track! I needed \usepackage{pgfplots} too –  Jiew Meng Aug 28 '11 at 13:49
show 1 more comment

1 Answer

up vote 4 down vote accepted

You need to add \usepackage{pgfplots} to your preamble. In LyX, you can edit the preamble under Document | Settings | LaTeX Preamble.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.